Last Comment Bug 749278 - Rename "Script Debugger" to "Debugger"?
: Rename "Script Debugger" to "Debugger"?
Status: RESOLVED FIXED
[fixed-in-fx-team]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools: Debugger (show other bugs)
: 12 Branch
: All All
: P3 normal (vote)
: Firefox 15
Assigned To: Thaddee Tyl [:espadrine]
:
: James Long (:jlongster)
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-26 11:20 PDT by Victor Porof [:vporof][:vp]
Modified: 2012-05-16 13:35 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Renamed "Script Debugger" to "Debugger". (1.81 KB, patch)
2012-05-15 08:40 PDT, Thaddee Tyl [:espadrine]
rcampbell: review-
Details | Diff | Splinter Review
Rename + label → label2 (1.08 KB, patch)
2012-05-15 09:01 PDT, Thaddee Tyl [:espadrine]
no flags Details | Diff | Splinter Review
Rename + label → label2 (1.85 KB, patch)
2012-05-15 09:35 PDT, Thaddee Tyl [:espadrine]
rcampbell: review-
Details | Diff | Splinter Review
Rename + label → label2 (3.01 KB, patch)
2012-05-15 10:20 PDT, Thaddee Tyl [:espadrine]
rcampbell: review+
Details | Diff | Splinter Review

Description Victor Porof [:vporof][:vp] 2012-04-26 11:20:11 PDT

    
Comment 1 Thaddee Tyl [:espadrine] 2012-05-15 08:40:11 PDT
Created attachment 624056 [details] [diff] [review]
Renamed "Script Debugger" to "Debugger".
Comment 2 Rob Campbell [:rc] (:robcee) 2012-05-15 08:43:19 PDT
Comment on attachment 624056 [details] [diff] [review]
Renamed "Script Debugger" to "Debugger".

in debugger.dtd:

 <!-- LOCALIZATION NOTE (debuggerMenu.label): This is the label for the
   -  application menu item that opens the debugger UI. -->
-<!ENTITY debuggerMenu.label          "Script Debugger">
+<!ENTITY debuggerMenu.label          "Debugger">

Please rename the ENTITY. You can use debuggerMenu.label2 or similar.
Comment 3 Thaddee Tyl [:espadrine] 2012-05-15 09:01:27 PDT
Created attachment 624062 [details] [diff] [review]
Rename + label → label2
Comment 4 Thaddee Tyl [:espadrine] 2012-05-15 09:35:38 PDT
Created attachment 624078 [details] [diff] [review]
Rename + label → label2

I also renamed it in the properties file.
Comment 5 Rob Campbell [:rc] (:robcee) 2012-05-15 10:10:11 PDT
Comment on attachment 624078 [details] [diff] [review]
Rename + label → label2

you need to update the references to point to the new entity name in browser-appmenu.inc and browser-menubar.inc.
Comment 6 Thaddee Tyl [:espadrine] 2012-05-15 10:20:29 PDT
Created attachment 624095 [details] [diff] [review]
Rename + label → label2

Also modified browser/base/content inc files.
Comment 7 Rob Campbell [:rc] (:robcee) 2012-05-15 12:20:14 PDT
Comment on attachment 624095 [details] [diff] [review]
Rename + label → label2

Looks good! Thanks!
Comment 8 Rob Campbell [:rc] (:robcee) 2012-05-15 12:22:18 PDT
Congratulations on landing your first patch!

https://hg.mozilla.org/integration/fx-team/rev/adddf0801b2b
Comment 9 Thaddee Tyl [:espadrine] 2012-05-15 13:10:51 PDT
Thanks ;)
Comment 10 Rob Campbell [:rc] (:robcee) 2012-05-16 13:35:34 PDT
https://hg.mozilla.org/mozilla-central/rev/adddf0801b2b

Note You need to log in before you can comment on or make changes to this bug.